# Class WeatherHighestStatBoostTag

#### Hierarchy (view full)

- HighestStatBoostTag
  - WeatherHighestStatBoostTag

#### Implements

- WeatherBattlerTag

- Defined in src/data/battler-tags.ts:1132

#####
Index

### Constructors

constructor

### Properties

ability
lapseType
multiplier
sourceId?
sourceMove
stat
tagType
turnCount
weatherTypes

### Methods

canAdd
getDescriptor
getMoveName
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new WeatherHighestStatBoostTag(tagType, ability, ...weatherTypes): WeatherHighestStatBoostTag

- #### Parameters

  - tagType: BattlerTagType
  - ability: Abilities
  - `Rest` ...weatherTypes: WeatherType []

  #### Returns WeatherHighestStatBoostTag

  Overrides HighestStatBoostTag.constructor

  - Defined in src/data/battler-tags.ts:1135

## Properties

### ability

ability: Abilities

Inherited from HighestStatBoostTag.ability

- Defined in src/data/battler-tags.ts:1013

### lapseType

lapseType: BattlerTagLapseType

Inherited from HighestStatBoostTag.lapseType

- Defined in src/data/battler-tags.ts:33

### multiplier

multiplier: number

Inherited from HighestStatBoostTag.multiplier

- Defined in src/data/battler-tags.ts:1082

### `Optional` sourceId

sourceId?: number

Inherited from HighestStatBoostTag.sourceId

- Defined in src/data/battler-tags.ts:36

### sourceMove

sourceMove: Moves

Inherited from HighestStatBoostTag.sourceMove

- Defined in src/data/battler-tags.ts:35

### stat

stat: Stat

Inherited from HighestStatBoostTag.stat

- Defined in src/data/battler-tags.ts:1081

### tagType

tagType: BattlerTagType

Inherited from HighestStatBoostTag.tagType

- Defined in src/data/battler-tags.ts:32

### turnCount

turnCount: number

Inherited from HighestStatBoostTag.turnCount

- Defined in src/data/battler-tags.ts:34

### weatherTypes

weatherTypes: WeatherType []

Implementation of WeatherBattlerTag.weatherTypes

- Defined in src/data/battler-tags.ts:1133

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Inherited from HighestStatBoostTag.canAdd

  - Defined in src/data/battler-tags.ts:46

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Inherited from HighestStatBoostTag.getDescriptor

  - Defined in src/data/battler-tags.ts:60

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from HighestStatBoostTag.getMoveName

  - Defined in src/data/battler-tags.ts:68

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from HighestStatBoostTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:64

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Inherited from HighestStatBoostTag.lapse

  - Defined in src/data/battler-tags.ts:56

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it.

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Overrides HighestStatBoostTag.loadTag

  - Defined in src/data/battler-tags.ts:1144

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from HighestStatBoostTag.onAdd

  - Defined in src/data/battler-tags.ts:1098

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from HighestStatBoostTag.onOverlap

  - Defined in src/data/battler-tags.ts:54

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from HighestStatBoostTag.onRemove

  - Defined in src/data/battler-tags.ts:1125